"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const result_1 = require("../result");
const helper_1 = __importDefault(require("../helper"));
const checkDaysOfMonth = (cronData, options) => {
    if (!cronData.daysOfMonth) {
        return result_1.err(['daysOfMonth field is undefined.']);
    }
    const { daysOfMonth } = cronData;
    if (options.allowOnlyOneBlankDayField &&
        options.useBlankDay &&
        cronData.daysOfMonth === '?' &&
        cronData.daysOfWeek === '?') {
        return result_1.err([
            `Cannot use blank value in daysOfMonth and daysOfWeek field when allowOnlyOneBlankDayField option is enabled.`,
        ]);
    }
    return helper_1.default(daysOfMonth, 'daysOfMonth', options);
};
exports.default = checkDaysOfMonth;
