"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const result_1 = require("../result");
const helper_1 = __importDefault(require("../helper"));
const checkDaysOfWeek = (cronData, options) => {
    if (!cronData.daysOfWeek) {
        return result_1.err(['daysOfWeek field is undefined.']);
    }
    const { daysOfWeek } = cronData;
    if (options.allowOnlyOneBlankDayField &&
        cronData.daysOfMonth === '?' &&
        cronData.daysOfWeek === '?') {
        return result_1.err([
            `Cannot use blank value in daysOfMonth and daysOfWeek field when allowOnlyOneBlankDayField option is enabled.`,
        ]);
    }
    return helper_1.default(daysOfWeek, 'daysOfWeek', options);
};
exports.default = checkDaysOfWeek;
