interface OptionPreset {
    presetId: string;
    useSeconds: boolean;
    useYears: boolean;
    useBlankDay: boolean;
    allowOnlyOneBlankDayField: boolean;
    seconds: OptionPresetFieldOptions;
    minutes: OptionPresetFieldOptions;
    hours: OptionPresetFieldOptions;
    daysOfMonth: OptionPresetFieldOptions;
    months: OptionPresetFieldOptions;
    daysOfWeek: OptionPresetFieldOptions;
    years: OptionPresetFieldOptions;
}
interface OptionPresetFieldOptions {
    minValue: number;
    maxValue: number;
    lowerLimit?: number;
    upperLimit?: number;
}
export declare const getOptionPreset: (presetId: string) => import("./result").Valid<OptionPreset, unknown> | import("./result").Err<unknown, string>;
export declare const getOptionPresets: () => {
    [presetId: string]: OptionPreset;
};
export declare const registerOptionPreset: (presetName: string, preset: OptionPreset) => void;
export interface Options {
    presetId: string;
    preset: OptionPreset;
    useSeconds: boolean;
    useYears: boolean;
    useBlankDay: boolean;
    allowOnlyOneBlankDayField: boolean;
    seconds: FieldOption;
    minutes: FieldOption;
    hours: FieldOption;
    daysOfMonth: FieldOption;
    months: FieldOption;
    daysOfWeek: FieldOption;
    years: FieldOption;
}
interface FieldOption {
    lowerLimit?: number;
    upperLimit?: number;
}
export interface InputOptions {
    preset?: string | OptionPreset;
    override?: {
        useSeconds?: boolean;
        useYears?: boolean;
        useBlankDay?: boolean;
        allowOnlyOneBlankDayField?: boolean;
        seconds?: FieldOption;
        minutes?: FieldOption;
        hours?: FieldOption;
        daysOfMonth?: FieldOption;
        months?: FieldOption;
        daysOfWeek?: FieldOption;
        years?: FieldOption;
    };
    useSeconds?: boolean;
    useYears?: boolean;
    seconds?: FieldOption;
    minutes?: FieldOption;
    hours?: FieldOption;
    daysOfMonth?: FieldOption;
    months?: FieldOption;
    daysOfWeek?: FieldOption;
    years?: FieldOption;
}
export declare const validateOptions: (inputOptions: InputOptions) => import("./result").Err<unknown, string[]> | import("./result").Valid<Options, unknown>;
export {};
